Package ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter

# Class ContractParameterGroupAttrDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>
ru.bitel.common.dao.AbstractIdDao<ContractParameterGroupAttr>
ru.bitel.common.dao.AbstractDirectoryIdDao<ContractParameterGroupAttr>
ru.bitel.bgbilling.kernel.contract.api.server.bean.parameter.ContractParameterGroupAttrDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<ContractParameterGroupAttr>`

public class ContractParameterGroupAttrDao extends ru.bitel.common.dao.AbstractDirectoryIdDao<ContractParameterGroupAttr>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterGroupAttrDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `deleteImpl(int id)`
  `ContractParameterGroupAttr`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected ContractParameterGroupAttr`
  `getFromRS(ResultSet rs)`
  `List<ContractParameterGroupAttr>`
  `list()`
  Получение всего списка элементов из справочника
  `List<ContractParameterGroupAttr>`
  `list(int paramGroupId)`
  Получение списка параметров для определенной группы.
  `List<ContractParameterGroupAttr>`
  `list(Set<Integer> parameterIds)`
  Получение списка параметров по заданому набору ID Если набор null или пустой, возвращает пустой список
  `protected void`
  `updateImpl(ContractParameterGroupAttr contractParameterGroupAttr)`
  `void`
  `updateLink(int contractParameterGroupId, Set<Integer> parameterIds)`
  Обновление привязки параметров к группе параметров.
  `void`
  `updateOrderPosition(List<ContractParameterGroupAttr> list)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### ContractParameterGroupAttrDao

    public ContractParameterGroupAttrDao(Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractParameterGroupAttr getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ContractParameterGroupAttr contractParameterGroupAttr) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### get

    public ContractParameterGroupAttr get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ContractParameterGroupAttr> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ContractParameterGroupAttr> list(Set<Integer> parameterIds) throws ru.bitel.bgbilling.common.BGException
    Получение списка параметров по заданому набору ID Если набор null или пустой, возвращает пустой список
    Parameters:
      `parameterIds` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ContractParameterGroupAttr> list(int paramGroupId) throws SQLException, ru.bitel.bgbilling.common.BGException
    Получение списка параметров для определенной группы.
    Parameters:
      `paramGroupId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<ContractParameterGroupAttr>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateLink

    public void updateLink(int contractParameterGroupId, Set<Integer> parameterIds) throws ru.bitel.bgbilling.common.BGException
    Обновление привязки параметров к группе параметров.
    Parameters:
      `contractParameterGroupId` -
      `parameterIds` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateOrderPosition

    public void updateOrderPosition(List<ContractParameterGroupAttr> list) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`